require 'uri'
require 'open-uri'

namespace :postcodes do
  desc "Fetch postcode database from Bring"
  task :fetch, [:data_path] do |t, args|
    args.with_defaults(:data_path => 'data')
    uri = URI.parse('http://www.bring.no/hele-bring/forside/_attachment/159761')
    filename = File.join(args.data_path, 'Postnummerregister_ansi.txt')
    puts "Downloading postcodes to: #{filename}..."
    IO.write(filename, uri.read)
  end
end
